Changeset 12972


Ignore:
Timestamp:
Oct 11, 2011, 3:46:42 PM (10 years ago)
Author:
jordan
Message:

use PKG_CHECK_EXISTS, rather than PKG_CHECK_MODULES, to test for GTK+ 2 and GTK+ 3.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/configure.ac

    r12964 r12972  
    317317gtk_version="none"
    318318with_gtk_default="no"
    319 PKG_CHECK_MODULES([GTK2],[gtk+-2.0 >= $GTK2_MINIMUM],[gtk_version="2" with_gtk_default="yes"])
    320 PKG_CHECK_MODULES([GTK3],[gtk+-3.0 >= $GTK3_MINIMUM],[gtk_version="3" with_gtk_default="yes"])
     319PKG_CHECK_EXISTS([gtk+-2.0 >= $GTK2_MINIMUM],[gtk_version="2" with_gtk_default="yes"])
     320PKG_CHECK_EXISTS([gtk+-3.0 >= $GTK3_MINIMUM],[gtk_version="3" with_gtk_default="yes"])
    321321AC_ARG_WITH([gtk], AC_HELP_STRING([--with-gtk],[with Gtk]),
    322322            [with_gtk=$withval],
Note: See TracChangeset for help on using the changeset viewer.